Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:48 2009

## Asterisk developer's documentation

# rpt Struct Reference

Collaboration diagram for rpt:

[legend]

## Data Fields

char * | acctcode
int | callmode
int | cidx
char | cmdnode [50]
int | conf
time_t | disgorgetime
char * | dphone_functions
int | dphone_longestfunc
time_t | dtmf_time_rem
char | dtmfbuf [MAXDTMF]
int | dtmfidx
char | enable
char | endchar
char | exten [AST_MAX_EXTENSION]
char | exttx
char | freq [MAXREMSTR]
char | funcchar
char * | functions
int | hangtime
char | hfscanmode
int | hfscanstatus
char * | ident
int | idtime
int | idtimer
int | iobase
char | keyed
char | lastlinknode [MAXNODESTR]
time_t | lastthreadrestarttime
char * | link_functions
int | link_longestfunc
struct rpt_link | links
char | localtx
ast_mutex_t | lock
int | longestfunc
int | longestnode
int | mustid
char | mydtmf
char * | name
char | nobusyout
char * | nodes
char | offset
char * | ourcallerid
char * | ourcontext
struct ast_channel * | pchannel
char * | phone_functions
int | phone_longestfunc
int | politeid
char | powerlevel
time_t | rem_dtmf_time
char | rem_dtmfbuf [MAXDTMF]
int | rem_dtmfidx
struct ast_channel * | remchannel
char | remmode
char * | remote
char | remoteon
char | remoterx
char | remotetx
long | retxtimer
pthread_t | rpt_call_thread
pthread_t | rpt_thread
char * | rxchanname
struct ast_channel * | rxchannel
char | rxpl [MAXREMSTR]
char | rxplon
int | scantimer
char | simple
char | stopgen
int | tailtimer
struct rpt_tele | tele
int | threadrestarts
char * | tonezone
char | tonotify
int | totime
int | totimer
char | tounkeyed
char | tunerequest
char * | txchanname
struct ast_channel * | txchannel
int | txconf
struct ast_channel * | txpchannel
char | txpl [MAXREMSTR]
char | txplon
int | unkeytocttimer

## Detailed Description

Definition at line 323 of file app_rpt.c.

## Field Documentation

char* acctcode

Definition at line 331 of file app_rpt.c.

Referenced by rpt_call(), and rpt_master().

int callmode

Definition at line 363 of file app_rpt.c.

Referenced by function_autopatchdn(), function_autopatchup(), handle_link_data(), handle_link_phone_dtmf(), rpt(), rpt_call(), and rpt_exec().

int cidx

Definition at line 363 of file app_rpt.c.

Referenced by function_autopatchup(), handle_link_data(), handle_link_phone_dtmf(), rpt(), and rpt_call().

char cmdnode[50]

Definition at line 357 of file app_rpt.c.

Referenced by function_ilink(), handle_link_phone_dtmf(), rpt(), and send_link_dtmf().

int conf

Definition at line 363 of file app_rpt.c.

Referenced by function_ilink(), rpt(), rpt_call(), and rpt_exec().

time_t disgorgetime

Definition at line 390 of file app_rpt.c.

Referenced by function_cop(), and rpt().

char* dphone_functions

Definition at line 337 of file app_rpt.c.

Referenced by collect_function_digits(), and rpt_master().

int dphone_longestfunc

Definition at line 385 of file app_rpt.c.

Referenced by collect_function_digits(), and rpt_master().

time_t dtmf_time_rem

Definition at line 362 of file app_rpt.c.

Referenced by handle_remote_dtmf_digit(), and rpt_exec().

char dtmfbuf[MAXDTMF]

Definition at line 355 of file app_rpt.c.

Referenced by handle_link_phone_dtmf(), handle_remote_dtmf_digit(), rpt(), and rpt_exec().

int dtmfidx

Definition at line 366 of file app_rpt.c.

Referenced by handle_link_phone_dtmf(), handle_remote_dtmf_digit(), rpt(), rpt_exec(), and send_link_dtmf().

char enable

Definition at line 354 of file app_rpt.c.

Referenced by function_autopatchdn(), function_autopatchup(), function_cop(), function_ilink(), function_status(), and rpt().

char endchar

Definition at line 382 of file app_rpt.c.

Referenced by handle_link_data(), handle_link_phone_dtmf(), handle_remote_phone_dtmf(), rpt(), and rpt_master().

char exten[AST_MAX_EXTENSION]

Definition at line 370 of file app_rpt.c.

Referenced by function_autopatchup(), handle_link_data(), handle_link_phone_dtmf(), rpt(), and rpt_call().

char exttx

Definition at line 345 of file app_rpt.c.

Referenced by rpt().

char freq[MAXREMSTR]

Definition at line 371 of file app_rpt.c.

Referenced by function_remote(), multimode_bump_freq_ft897(), service_scan(), set_ft897(), and setrbi().

char funcchar

Definition at line 381 of file app_rpt.c.

Referenced by function_autopatchup(), handle_link_data(), handle_link_phone_dtmf(), handle_remote_dtmf_digit(), rpt(), and rpt_master().

char* functions

Definition at line 334 of file app_rpt.c.

Referenced by collect_function_digits(), and rpt_master().

int hangtime

Definition at line 340 of file app_rpt.c.

Referenced by rpt(), and rpt_master().

char hfscanmode

Definition at line 378 of file app_rpt.c.

Referenced by function_remote(), handle_remote_dtmf_digit(), rpt_exec(), service_scan(), and stop_scan().

int hfscanstatus

Definition at line 379 of file app_rpt.c.

Referenced by rpt_exec(), service_scan(), and stop_scan().

char* ident

Definition at line 332 of file app_rpt.c.

Referenced by rpt_master().

int idtime

Definition at line 342 of file app_rpt.c.

Referenced by rpt(), and rpt_master().

int idtimer

Definition at line 363 of file app_rpt.c.

Referenced by rpt().

int iobase

Definition at line 369 of file app_rpt.c.

Referenced by rbi_out_parallel(), rpt_exec(), and rpt_master().

char keyed

Definition at line 344 of file app_rpt.c.

Referenced by rpt().

char lastlinknode[MAXNODESTR]

Definition at line 380 of file app_rpt.c.

Referenced by function_ilink().

time_t lastthreadrestarttime

Definition at line 391 of file app_rpt.c.

Referenced by rpt_master().

char* link_functions

Definition at line 335 of file app_rpt.c.

Referenced by collect_function_digits(), and rpt_master().

int link_longestfunc

Definition at line 386 of file app_rpt.c.

Referenced by collect_function_digits(), and rpt_master().

struct rpt_link links`[read]`

Definition at line 339 of file app_rpt.c.

Referenced by attempt_reconnect(), function_ilink(), handle_link_data(), rpt(), rpt_exec(), and send_link_dtmf().

char localtx

Definition at line 346 of file app_rpt.c.

Referenced by rpt().

ast_mutex_t lock

Definition at line 326 of file app_rpt.c.

Referenced by attempt_reconnect(), function_autopatchdn(), function_autopatchup(), function_ilink(), handle_link_data(), handle_link_phone_dtmf(), rpt(), rpt_call(), rpt_exec(), and rpt_telemetry().

int longestfunc

Definition at line 387 of file app_rpt.c.

Referenced by collect_function_digits(), and rpt_master().

int longestnode

Definition at line 388 of file app_rpt.c.

Referenced by function_ilink(), and rpt_master().

int mustid

Definition at line 364 of file app_rpt.c.

Referenced by rpt().

char mydtmf

Definition at line 368 of file app_rpt.c.

Referenced by function_autopatchup(), handle_link_data(), handle_link_phone_dtmf(), rpt(), and rpt_call().

char* name

Definition at line 325 of file app_rpt.c.

Referenced by attempt_reconnect(), function_ilink(), function_remote(), get_wait_interval(), handle_link_data(), handle_remote_data(), handle_remote_phone_dtmf(), rpt(), rpt_exec(), rpt_master(), and send_link_dtmf().

char nobusyout

Definition at line 392 of file app_rpt.c.

Referenced by rpt_exec(), and rpt_master().

char* nodes

Definition at line 338 of file app_rpt.c.

Referenced by attempt_reconnect(), function_ilink(), rpt_exec(), and rpt_master().

char offset

Definition at line 372 of file app_rpt.c.

Referenced by function_remote(), rpt_master(), set_ft897(), and setrbi().

char* ourcallerid

Definition at line 330 of file app_rpt.c.

Referenced by rpt_call(), and rpt_master().

char* ourcontext

Definition at line 329 of file app_rpt.c.

Referenced by handle_link_data(), handle_link_phone_dtmf(), rpt(), rpt_call(), and rpt_master().

struct ast_channel* pchannel`[read]`

Definition at line 359 of file app_rpt.c.

Referenced by handle_link_data(), handle_link_phone_dtmf(), and rpt().

char* phone_functions

Definition at line 336 of file app_rpt.c.

Referenced by collect_function_digits(), and rpt_master().

int phone_longestfunc

Definition at line 384 of file app_rpt.c.

Referenced by collect_function_digits(), and rpt_master().

int politeid

Definition at line 365 of file app_rpt.c.

Referenced by rpt(), and rpt_master().

char powerlevel

Definition at line 373 of file app_rpt.c.

Referenced by function_remote(), rpt_master(), and setrbi().

time_t rem_dtmf_time

Definition at line 362 of file app_rpt.c.

Referenced by handle_link_data(), handle_link_phone_dtmf(), and rpt().

char rem_dtmfbuf[MAXDTMF]

Definition at line 356 of file app_rpt.c.

Referenced by handle_link_data(), handle_link_phone_dtmf(), and rpt().

int rem_dtmfidx

Definition at line 366 of file app_rpt.c.

Referenced by handle_link_data(), handle_link_phone_dtmf(), and rpt().

struct ast_channel * remchannel`[read]`

Definition at line 359 of file app_rpt.c.

Referenced by function_remote(), handle_remote_data(), handle_remote_phone_dtmf(), rmt_telem_finish(), and rpt_exec().

char remmode

Definition at line 376 of file app_rpt.c.

Referenced by function_remote(), rpt_master(), and set_ft897().

char* remote

Definition at line 351 of file app_rpt.c.

Referenced by check_freq(), closerem(), multimode_bump_freq(), multimode_capable(), rpt_exec(), rpt_master(), setrbi(), and setrem().

char remoteon

Definition at line 349 of file app_rpt.c.

Referenced by rpt_exec().

char remoterx

Definition at line 347 of file app_rpt.c.

Referenced by function_remote(), handle_remote_data(), handle_remote_phone_dtmf(), rmt_telem_finish(), rmt_telem_start(), and rpt_exec().

char remotetx

Definition at line 348 of file app_rpt.c.

Referenced by function_remote(), handle_remote_data(), handle_remote_phone_dtmf(), rmt_telem_start(), and rpt_exec().

long retxtimer

Definition at line 367 of file app_rpt.c.

Referenced by rpt(), and rpt_exec().

pthread_t rpt_call_thread

Definition at line 361 of file app_rpt.c.

Referenced by function_autopatchup(), and rpt().

pthread_t rpt_thread

Definition at line 361 of file app_rpt.c.

Referenced by rpt(), and rpt_master().

char* rxchanname

Definition at line 327 of file app_rpt.c.

Referenced by rpt(), rpt_exec(), and rpt_master().

struct ast_channel* rxchannel`[read]`

Definition at line 358 of file app_rpt.c.

Referenced by rbi_out(), rpt(), rpt_exec(), and serial_remote_io().

char rxpl[MAXREMSTR]

Definition at line 371 of file app_rpt.c.

Referenced by function_remote(), and set_ft897().

char rxplon

Definition at line 375 of file app_rpt.c.

Referenced by function_remote(), set_ft897(), and setrbi().

int scantimer

Definition at line 363 of file app_rpt.c.

Referenced by function_remote(), and rpt_exec().

char simple

Definition at line 350 of file app_rpt.c.

Referenced by rpt(), and rpt_master().

char stopgen

Definition at line 383 of file app_rpt.c.

Referenced by handle_link_data(), handle_link_phone_dtmf(), and rpt().

int tailtimer

Definition at line 363 of file app_rpt.c.

Referenced by rpt().

struct rpt_tele tele`[read]`

Definition at line 360 of file app_rpt.c.

Referenced by rpt(), rpt_master(), and rpt_telemetry().

int threadrestarts

Definition at line 389 of file app_rpt.c.

Referenced by rpt_master().

char* tonezone

Definition at line 333 of file app_rpt.c.

Referenced by rpt_call(), and rpt_master().

char tonotify

Definition at line 353 of file app_rpt.c.

Referenced by rpt().

int totime

Definition at line 341 of file app_rpt.c.

Referenced by rpt(), and rpt_master().

int totimer

Definition at line 363 of file app_rpt.c.

Referenced by rpt().

char tounkeyed

Definition at line 352 of file app_rpt.c.

Referenced by rpt().

char tunerequest

Definition at line 377 of file app_rpt.c.

Referenced by function_remote(), and rpt_exec().

char* txchanname

Definition at line 328 of file app_rpt.c.

Referenced by rpt(), rpt_exec(), and rpt_master().

struct ast_channel * txchannel`[read]`

Definition at line 358 of file app_rpt.c.

Referenced by function_remote(), handle_remote_data(), handle_remote_phone_dtmf(), rmt_telem_finish(), rmt_telem_start(), rpt(), and rpt_exec().

int txconf

Definition at line 363 of file app_rpt.c.

Referenced by rpt().

struct ast_channel * txpchannel`[read]`

Definition at line 359 of file app_rpt.c.

Referenced by rpt().

char txpl[MAXREMSTR]

Definition at line 371 of file app_rpt.c.

Referenced by function_remote(), set_ft897(), and setrbi().

char txplon

Definition at line 374 of file app_rpt.c.

Referenced by function_remote(), set_ft897(), and setrbi().

int unkeytocttimer

Definition at line 343 of file app_rpt.c.

The documentation for this struct was generated from the following file:

- app_rpt.c